### Clipping

Syntax:

        set pm3d {clip {z} | clip1in | clip4in}
        set pm3d {no}clipcb

The component quadrangles of a pm3d surface or other 3D object are by default smoothly clipped against the current zrange. This is a change from earlier gnuplot versions.

Alternatively, surfaces can be clipped by rendering whole quadrangles but only those with all 4 corners in-range on x, y, and z (set pm3d clip4in), or only those with at least one corner in-range on x, y, and z (set pm3d clip1in). The options clip, clip1in, and clip4in are mutually exclusive.

Separate from clipping based on spatial x, y, and z coordinates, quadrangles can be rendered or not based on extreme palette color values. clipcb: (default) palette color values cbmin are clipped to equal cbmin; palette color values cbmax are clipped to equal cbmax. noclipcb: quadrangles with color value outside cbrange are not drawn at all.